<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>用户配置</title>
	<meta name="renderer" content="webkit">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
	<link rel="stylesheet" href="../lib/layui-v2.6.3/css/layui.css" media="all">
	<link rel="stylesheet" href="../css/public.css" media="all">
</head>
<body>
<div class="layuimini-container">
    <div class="layuimini-main">

        <fieldset class="table-search-fieldset">
            <legend>搜索信息</legend>
            <div style="margin: 10px 10px 10px 10px">
                <form class="layui-form layui-form-pane" action="">
                    <div class="layui-form-item">
                        <div class="layui-inline">
                            <label class="layui-form-label">用户名</label>
                            <div class="layui-input-inline">
                                <input type="text" name="username" autocomplete="off" class="layui-input">
                            </div>
                        </div>
						<div class="layui-inline">
						    <label class="layui-form-label">手机号</label>
						    <div class="layui-input-inline">
						        <input type="text" name="mobile" autocomplete="off" class="layui-input">
						    </div>
						</div>
						<div class="layui-inline">
                            <button type="submit" class="layui-btn layui-btn-primary"  lay-submit lay-filter="data-search-btn"><i class="layui-icon"></i> 搜 索</button>
                        </div>
                    </div>
                </form>
            </div>
        </fieldset>

        <table class="layui-hide" id="currentTableId" lay-filter="currentTableFilter"></table>
		
		<script type="text/html" id="currentTableBar">
		    <a class="layui-btn layui-btn-normal layui-btn-xs data-count-edit" lay-event="edit">编辑</a>
		    <a class="layui-btn layui-btn-xs layui-btn-danger data-count-delete" lay-event="delete">删除</a>
		</script>
		
		<script type="text/html" id="toolbarTop">
		    <div class="layui-btn-container">
		        <button class="layui-btn layui-btn-normal layui-btn-sm data-add-btn" lay-event="add"> 添加 </button>
		    </div>
		</script>

    </div>
</div>
<script src="../lib/layui-v2.6.3/layui.js" charset="utf-8"></script>
<script th:inline="none">
    layui.use(['form', 'table'], function () {
        var $ = layui.$,
            form = layui.form,
            table = layui.table;
		/**
		 * 初始化表单，要加上，不然刷新部分组件可能会不加载
		 */
		form.render();
		
        table.render({
            elem: '#currentTableId',
            url: '/sys/user/list',
            toolbar: '#toolbarTop',
            cols: [[
                {field: 'name', title: '用户名'},
				{field: 'mobile', title: '手机号'},
				{field: 'nickname', title: '昵称'},
				{field: 'role', title: '角色'},
				{field: 'tenantname', title: '所属组织'},
				{field: 'locked', title: '是否冻结', templet: "<div>{{d.locked==1?'是':'否'}}</div>"},
				{field: 'warning_enabled', title: '告警通知', templet: "<div>{{d.warning_enabled==1?'是':'否'}}</div>"},
				{title: '操作', toolbar: '#currentTableBar', align: "center", minWidth: 120}
            ]],
            limits: [10, 15, 20, 25, 50, 100],
            limit: 15,
            page: true,
            skin: 'line'
        });

		// 监听搜索操作
		form.on('submit(data-search-btn)', function (data) {
			var result = JSON.stringify(data.field);

			//执行搜索重载
			table.reload('currentTableId', {
				page: {
					curr: 1
				}
				, where: {
					searchParams: result
				}
			}, 'data');
			table.render();

			return false;
		});

		/**
		 * toolbar事件监听
		 */
		table.on('toolbar(currentTableFilter)', function (obj) {
			if (obj.event === 'add') {   // 监听添加操作
				var index = layer.open({
					title: '新增用户',
					type: 2,
					shade: 0.2,
					maxmin:true,
					shadeClose: true,
					area: ['100%', '100%'],
					content: '../sys/user/add'
				});
				$(window).on("resize", function () {
					layer.full(index);
				});
			}
		});

		table.on('tool(currentTableFilter)', function (obj) {
			var data = obj.data;
			if (obj.event === 'edit') {
				var index = layer.open({
					title: '修改用户',
					type: 2,
					shade: 0.2,
					maxmin:true,
					shadeClose: true,
					area: ['100%', '100%'],
					content: '../sys/user/edit',
					success: function(layero, index) {
						var iframe = window['layui-layer-iframe' + index];
						iframe.setParams(data);
					}
				});
				$(window).on("resize", function () {
					layer.full(index);
				});
				return false;
			} else if (obj.event === 'delete') {
				layer.confirm('确定删除'+data.name+"?", function(index){
					$.ajax({
						type:"POST",
						url:"/sys/user/delete",
						data:{
							'name':data.name
						},
						success: function (data) {
							//data是cotroller相应处理函数的返回值
							table.reload('currentTableId');
						},
						error: function () {
							console.log("ajax error");
						}
					});
					layer.close(index);
				});
			}
		});

    });

	function onBaseParaUpdated(){
		layui.table.reload('currentTableId');
	}
</script>

</body>
</html>